Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.value.binary.infinispan
Class Metadata

    java.lang.Object
      org.modeshape.jcr.value.binary.infinispan.Metadata

All Implemented Interfaces:
  Externalizable, Serializable

    public class Metadata

extends Object
implements Externalizable

See Also:
  Serialized Form

Field Summary
`protected long` | `length`
`protected String` | `mimeType`
`protected long` | `modificationTime`
`protected int` | `numberChunks`
`protected int` | `numberTextChunks`
`protected long` | `unusedSince`

Constructor Summary
`Metadata()`
`Metadata(Metadata metadata)`

Method Summary
`Metadata` | `copy()`
`long` | `getLength()`
`String` | `getMimeType()`
`long` | `getModificationTime()`
`int` | `getNumberChunks()`
`int` | `getNumberTextChunks()`
`boolean` | `isUnused()`
`void` | `readExternal(ObjectInput in)`
`void` | `setLength(long length)`
`void` | `setMimeType(String mimeType)`
`void` | `setModificationTime(long modificationTime)`
`void` | `setNumberChunks(int numberChunks)`
`void` | `setNumberTextChunks(int numberTextChunks)`
`void` | `setUnused()`
`void` | `setUsed()`
`long` | `unusedSince()`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### length

    protected long length

### numberChunks

    protected int numberChunks

### modificationTime

    protected long modificationTime

### unusedSince

    protected long unusedSince

### mimeType

    protected String mimeType

### numberTextChunks

    protected int numberTextChunks

Constructor Detail

### Metadata

    public Metadata()

### Metadata

    public Metadata(Metadata metadata)

Method Detail

### copy

    public Metadata copy()

### getLength

    public long getLength()

### setLength

    public void setLength(long length)

### getModificationTime

    public long getModificationTime()

### setModificationTime

    public void setModificationTime(long modificationTime)

### getMimeType

    public String getMimeType()

### setMimeType

    public void setMimeType(String mimeType)

### getNumberTextChunks

    public int getNumberTextChunks()

### setNumberTextChunks

    public void setNumberTextChunks(int numberTextChunks)

### getNumberChunks

    public int getNumberChunks()

### setNumberChunks

    public void setNumberChunks(int numberChunks)

### isUnused

    public boolean isUnused()

### unusedSince

    public long unusedSince()

  Returns:
    unused time in MS or 0 if still in use

### setUnused

    public void setUnused()

### setUsed

    public void setUsed()

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.